aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRoman Perepelitsa <roman.perepelitsa@gmail.com>2020-07-04 08:00:17 +0300
committerRoman Perepelitsa <roman.perepelitsa@gmail.com>2020-07-04 08:00:17 +0300
commitff8654ccd5b4f22710a235e7f715913277612451 (patch)
treec243789827e04ea6b800ad302297590f1ca03042
parenteadfdba7073e625562ae02841608ea37a46e0120 (diff)
Squashed 'gitstatus/' changes from 0f5402c8..89e9ebfd
89e9ebfd survive zsh environments where `source` is a broken function git-subtree-dir: gitstatus git-subtree-split: 89e9ebfd59f5ddfea4d97ae1e510273415a57a51
-rw-r--r--gitstatus.plugin.zsh22
1 files changed, 11 insertions, 11 deletions
diff --git a/gitstatus.plugin.zsh b/gitstatus.plugin.zsh
index 32c20f32..46861e32 100644
--- a/gitstatus.plugin.zsh
+++ b/gitstatus.plugin.zsh
@@ -398,13 +398,13 @@ function _gitstatus_daemon"${1:-}"() {
local gitstatus_plugin_dir_var=_gitstatus_plugin_dir$fsuf
local gitstatus_plugin_dir=${(P)gitstatus_plugin_dir_var}
- set -- -d $gitstatus_plugin_dir -s $uname_s -m $uname_m -p "printf . >&$pipe_fd" -- \
+ builtin set -- -d $gitstatus_plugin_dir -s $uname_s -m $uname_m -p "printf . >&$pipe_fd" -- \
_gitstatus_set_daemon$fsuf
- [[ ${GITSTATUS_AUTO_INSTALL:-1} == (|-|+)<1-> ]] || set -- -n "$@"
- source $gitstatus_plugin_dir/install || return
- [[ -n $_gitstatus_zsh_daemon ]] || return
- [[ -n $_gitstatus_zsh_version ]] || return
- [[ $_gitstatus_zsh_downloaded == [01] ]] || return
+ [[ ${GITSTATUS_AUTO_INSTALL:-1} == (|-|+)<1-> ]] || builtin set -- -n "$@"
+ builtin source $gitstatus_plugin_dir/install || return
+ [[ -n $_gitstatus_zsh_daemon ]] || return
+ [[ -n $_gitstatus_zsh_version ]] || return
+ [[ $_gitstatus_zsh_downloaded == [01] ]] || return
if (( UID == EUID )); then
local home=~
@@ -426,14 +426,14 @@ function _gitstatus_daemon"${1:-}"() {
[[ $_gitstatus_zsh_daemon == \
${GITSTATUS_CACHE_DIR:-${XDG_CACHE_HOME:-$HOME/.cache}/gitstatus}/* ]] || return
- set -- -f "$@"
+ builtin set -- -f "$@"
_gitstatus_zsh_daemon=
_gitstatus_zsh_version=
_gitstatus_zsh_downloaded=
- source $gitstatus_plugin_dir/install || return
- [[ -n $_gitstatus_zsh_daemon ]] || return
- [[ -n $_gitstatus_zsh_version ]] || return
- [[ $_gitstatus_zsh_downloaded == 1 ]] || return
+ builtin source $gitstatus_plugin_dir/install || return
+ [[ -n $_gitstatus_zsh_daemon ]] || return
+ [[ -n $_gitstatus_zsh_version ]] || return
+ [[ $_gitstatus_zsh_downloaded == 1 ]] || return
HOME=$home $_gitstatus_zsh_daemon -G $_gitstatus_zsh_version "${(@)args}" >&$pipe_fd
} always {